## org.eclipse.jet.core.parser
Class TemplateInputException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.eclipse.jet.core.parser.TemplateInputException

All Implemented Interfaces:
  java.io.Serializable

    public class TemplateInputException

extends java.lang.Exception

Wrap an exception from a ITemplateInput

See Also:
  Serialized Form

Constructor Summary
`TemplateInputException(java.lang.String message)` Construct a new exception with the specified message.
`TemplateInputException(java.lang.String message, java.lang.Throwable cause)` Construct a new exception with the specified message and cause.
`TemplateInputException(java.lang.Throwable cause)` Construct a new exception with the specified cause.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TemplateInputException

    public TemplateInputException(java.lang.String message,
                                  java.lang.Throwable cause)

  Construct a new exception with the specified message and cause. Delegates to `Exception.Exception(String, Throwable)`

  Parameters:
    `message` - the message
    `cause` - the cause

### TemplateInputException

    public TemplateInputException(java.lang.String message)

  Construct a new exception with the specified message. Delegates to `Exception.Exception(String)`.

  Parameters:
    `message` - the detailed message

### TemplateInputException

    public TemplateInputException(java.lang.Throwable cause)

  Construct a new exception with the specified cause. Delegates to `Exception.Exception(Throwable)`.

  Parameters:
    `cause` - the cause

Copyright 2006 IBM Corporation and others. All Rights Reserved.